28Views2Replies

Author Options:

Does Prince of Persia: The Shadow and the Flame work on an iPod 3rd generation? Answered

I looked at the page and its says it only works with 4th gen and above, but usually thats just for precaution.  Does anyone with the 3rd generation of iPod touch have this game, and if so, does it work???

Discussions

No that isn't usually for precaution. The requirements are based on the devices hardware and what version of iOS it can run. The game requires iOS 4.3 or newer. If you have the 8Gb version of the 3rd gen iTouch then you can only go as high as iOS 4.2.1. If you have the 32Gb or 64Gb version then you meet the iOS requirements. Where you fall short, is the lack of the retina display. The game is made to run on the high def displays so it won't work on your iTouch. Hence why it's not in the list of compatible devices.

Actually, I can go up the iOS 6.0. But ok, thanks for the help!